Welcome to Project: Gorgon!


Project: Gorgon is a 3D fantasy MMORPG (massively-multiplayer online role-playing game) that features an immersive experience that allows the player to forge their own path through exploration and discovery. We won't be guiding you through a world on rails, and as a result there are many hidden secrets awaiting discovery. Project: Gorgon also features an ambitious skill based leveling system that bucks the current trend of pre-determined classes, thus allowing the player to combine skills in order to create a truly unique playing experience.

The Project: Gorgon development team is led by industry veteran Eric Heimburg. Eric has over a decade of experience working as a Senior and Lead Engineer, Developer, Designer and Producer on successful games such as Asheron’s Call 1 and 2, Star Trek Online and other successful Massively Multiplayer Online Games.



User Tag List

Page 2 of 8 FirstFirst 1234 ... LastLast
Results 11 to 20 of 74
  1. #11
    Senior Member Tagamogi's Avatar
    Join Date
    Jan 2017
    Posts
    556
    Mentioned
    20 Post(s)
    Tagged
    0 Thread(s)
    Points
    109 (1,801 Banked)
    Is it possible that the compression format got changed by the new patch server?

    I may be looking at the totally wrong thing, but I poked around a bit, and I think the problem might be coming from line 400 in patcher.py:
    decompressor = zlib.decompressobj(zlib.MAX_WBITS|32)

    That's even commented as:
    #NOTE : Without the `winsize` parameter set to `zlib.MAX_WBITS` decompression will fail with an error:
    # zlib.error: Error -3 while decompressing data: incorrect header check
    #NOTE : Without bitwise adding 32 to the `winsize` parameter decompression will fail with an error:
    # zlib.error: Error -3 while decompressing data: invalid distance too far back
    # More information about options: http://stackoverflow.com/questions/1838699

    I played around with different parameters to decompressobj a bit but didn't come up with anything useful. Since the current options are supposed to auto-detect the header, maybe the format got changed to something other than zlib or gzip? Although it seems that would have required a change to the Windows client too...

  2. #12
    Senior Member Hood's Avatar
    Join Date
    Jan 2017
    Location
    Another Place
    Posts
    251
    Mentioned
    10 Post(s)
    Tagged
    2 Thread(s)
    Points
    132 (1,181 Banked)
    There's an open issue now here regarding this problem. I'm sure Shardragon will be able to get to it fairly soon.

    In the meantime, running through Wine is possible, as long as directx11 is disabled in the wine config.
    energy derives from both the plus and negative

  3. #13
    Junior Member shardragon's Avatar
    Join Date
    Feb 2017
    Posts
    16
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    Points
    132 (0 Banked)
    Thanks for contacting me through the bug tracker! Now I'm subscribed to this thread as well!

    As I mentioned in http://forum.projectgorgon.com/showt...=1666#post1666 this is probably a server issue unfortunately and there's not a lot I can do about it. Please watch that channel or the GitLab issue if you're interested in the current progress on resolving this. I'll report back once the status on this changes.

  4. #14
    Junior Member Arindor's Avatar
    Join Date
    Feb 2017
    Posts
    9
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Points
    122 (0 Banked)
    Quote Originally Posted by shardragon View Post
    Thanks for contacting me through the bug tracker! Now I'm subscribed to this thread as well!

    As I mentioned in http://forum.projectgorgon.com/showt...=1666#post1666 this is probably a server issue unfortunately and there's not a lot I can do about it. Please watch that channel or the GitLab issue if you're interested in the current progress on resolving this. I'll report back once the status on this changes.

    I posted a patch here: http://forum.projectgorgon.com/showt...ull=1#post1718

    Simple change. Please make appropriate changes to the distro. And thanks for creating the Linux port!!!

  5. #15
    Junior Member shardragon's Avatar
    Join Date
    Feb 2017
    Posts
    16
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    Points
    132 (0 Banked)

    Post pglauncher update is available

    Thanks to Aedorn's comment on the other thread we now have working version of pglauncher again!

    You can download the latest version here!
    To run it simply right-click on the downloaded file, then
    → Choose Properties from the menu
    → Open the Permission tab in the dialog
    → Check the Run file as program or File is executable (name may slightly vary) checkbox
    → Close the dialog.

    If the checkbox refuses to be checked (unchecks itself again), please make sure that the file is not placed on a partition with a Windows file system (FAT32, ExFAT, NTFS), as these do not support Unix file permissions.

    After this you should be able to launch the downloaded pglauncher file by double-clicking on it.
    (If a dialog pops up asking you whether to View or Run the file, choose Run.)

    [Hopefully I will be able to add this to the sticky thread as well.]

    Changelog:
    • Version 1.1.8 (01.11.2017):
      • Update the path used by the request certificate path workaround to the path used by newer versions used by the library (fixes ssl module crash again)
    • Version 1.1.7 (01.11.2017):
      • Fix regression when query the server for which game version to use
    • Version 1.1.6 (01.11.2017):
      • Add ability to download beta versions of Project:Grogon (like is possible with the Windows launcher)
    • Version 1.1.5 (26.03.2017):
      • Handle data decompression errors by retrying the given download up to 3 times
    • Version 1.1.4 (26.03.2017):
      • Query the Linux launcher version file instead of the Windows one for the Linux patcher
      • Increment the expected Windows launcher version
    • Version 1.1.3 (10.02.2017):
      • Fixed stupid mistake that would prevent the bundled requests version from being loaded if no system-wide version is installed
      • Work around bug in the ssl module of python 3.4 that would prevent request's bundled list of trusted CA certificates from being loaded (thereby crashing the auto-updater)
      • Finally use request's ClientSession feature to reuse HTTP connections during the download
      • Display the actual launcher version in the UI
    • Version 1.1.2 (08.02.2017):
      • Updated the server URLs for downloading the game content (issue #3)
      • Worked around crash on some python-tk installations when the debug view is updated rapidly; this also fixes the commonly observed flickering of the debug area and prevents the area from scrolling to the end of the display when you have manually scrolled upwards (issue #2)
      • Switched to new distribution format that generates a singled bundled python application instead of an extractable tarfile
      • Added auto-updater leveraging the new distribution format
    • For previous versions see the other changelog in the linked thread that I cannot update…
    Last edited by shardragon; 11-01-2017 at 02:24 PM. Reason: Version 1.1.6 - Version 1.1.8

  6. #16
    Senior Member Tagamogi's Avatar
    Join Date
    Jan 2017
    Posts
    556
    Mentioned
    20 Post(s)
    Tagged
    0 Thread(s)
    Points
    109 (1,801 Banked)
    Thanks for still maintaining this, shardragon!!! I downloaded the new launcher and was able to patch and play.

  7. #17
    Junior Member shardragon's Avatar
    Join Date
    Feb 2017
    Posts
    16
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    Points
    132 (0 Banked)
    Hi everybody! I've just pushed a new version of pglauncher that should address a lot of the issues reported with the previous iteration and also takes care of some of the accumulated technical depth. Have fun!

  8. #18
    Senior Member Eachna's Avatar
    Join Date
    Dec 2016
    Location
    Australia
    Posts
    141
    Mentioned
    2 Post(s)
    Tagged
    0 Thread(s)
    Points
    592 (0 Banked)
    Thanks so much, I'm back on Linux thanks to this update.

  9. #19
    Member Tchey's Avatar
    Join Date
    Jan 2017
    Posts
    30
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Points
    185 (0 Banked)
    Quote Originally Posted by shardragon View Post
    You can download the latest version here
    Thanks, that's working, or at least i'm downloading, didn't try to play yet.

  10. #20
    Junior Member cryptopsy's Avatar
    Join Date
    Feb 2017
    Posts
    3
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Points
    92 (0 Banked)
    Achievements First Post!
    UnicodeEncodeError: 'ascii' codec can't encode characters in position 19-208: ordinal not in range(128)



Thread Footer

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •